Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Citizen.css: Difference between revisions

MediaWiki interface page
No edit summary
No edit summary
 
(115 intermediate revisions by the same user not shown)
Line 1: Line 1:
/* All CSS here will be loaded for users of the Citizen skin */
/* All CSS here will be loaded for users of the Citizen skin */


/**
body {
* Background images
  background-image: url(https://www.evernyllawakened.wiki/images/e/e2/HeaderSky.png), url("https://www.evernyllawakened.wiki/images/b/b5/EvernyllBackground.png");
*/
  min-height: 200px ,500px;
 
  background-attachment: local, fixed;
@media screen {
  background-position: relative, center;
    /* Hero image */
  background-repeat: no-repeat, no-repeat;
    .citizen-page-container:before {
  background-size: contain, cover;
        /* FIXME: Optimization needed (WebP, proper sized) */
        background-image: url(/w/images/9/9b/John_Howe_-_Panorama.jpg);
        background-position: 70% center;
    }
 
    /* Site header image */
    .citizen-header:before {
        background-image: url(/w/images/2/28/Citizen_header_image.webp);
    }
 
    /* One Ring Inscription */
    .citizen-body-container::after {
        background-image: url(/w/images/b/bf/One_Ring_Inscription_single_line_vertical.svg);
    }
}
 
/* Middle Earth map */
@media screen and (min-width: 1120px) {
    .mw-body::before {
        background-image: url(TextBG.jpg);
    }
}
}

Latest revision as of 19:36, 23 January 2026

/* All CSS here will be loaded for users of the Citizen skin */

body {
   background-image: url(https://www.evernyllawakened.wiki/images/e/e2/HeaderSky.png), url("https://www.evernyllawakened.wiki/images/b/b5/EvernyllBackground.png");
   min-height: 200px ,500px;
   background-attachment: local, fixed;
   background-position: relative, center;
   background-repeat: no-repeat, no-repeat;
   background-size: contain, cover;
}